For the complete documentation index, see llms.txt. This page is also available as Markdown.

Units

Get unit

get

Retrieves a specific unit by name.

Path parameters
namestringRequired

Unit name

Responses
200

Unit retrieved

application/json
get/api/units/{name}
GET /api/units/{name} HTTP/1.1
Accept: */*
{
  "data": {
    "id": 1,
    "name": "unit_1",
    "status": {
      "event": "LoadSucceeded"
    }
  }
}

Update unit

put

Updates a unit with nodes and relationships data from uploaded files.

Path parameters
namestringRequired

Unit name

Body
nodesstring · binaryRequired

File upload for nodes data

relsstring · binaryRequired

File upload for relationships data

Responses
202

Unit update accepted

No content

put/api/units/{name}
PUT /api/units/{name} HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 48

{
  "nodes": "nodes.csv",
  "rels": "relationships.csv"
}

No content

Delete unit

delete

Deletes a unit asynchronously.

Path parameters
namestringRequired

Unit name

Responses
202

Unit deletion accepted

No content

delete/api/units/{name}
DELETE /api/units/{name} HTTP/1.1
Accept: */*

No content

Update unit

patch

Updates a unit with nodes and relationships data from uploaded files.

Path parameters
namestringRequired

Unit name

Body
nodesstring · binaryRequired

File upload for nodes data

relsstring · binaryRequired

File upload for relationships data

Responses
202

Unit update accepted

No content

patch/api/units/{name}
PATCH /api/units/{name} HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 48

{
  "nodes": "nodes.csv",
  "rels": "relationships.csv"
}

No content

List units

get

Retrieves all active units

Responses
200

Units retrieved

application/json
get/api/units
GET /api/units HTTP/1.1
Accept: */*
{
  "data": [
    {
      "id": 1,
      "name": "unit_1",
      "status": {
        "event": "LoadSucceeded"
      }
    }
  ]
}

Create unit

post

Creates a new unit.

Body
namestringRequired

Unit name

statusboolean · nullableOptional

Unit status

Responses
200

Unit created

application/json
post/api/units
POST /api/units HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 31

{
  "name": "unit_1",
  "status": true
}
{
  "data": {
    "id": 1,
    "name": "unit_1",
    "status": {
      "event": "LoadSucceeded"
    }
  }
}

List unit events

get

Retrieves all events for a specific unit

Path parameters
unit_namestringRequired

Unit name

Responses
200

Unit events retrieved

application/json
get/api/units/{unit_name}/events
GET /api/units/{unit_name}/events HTTP/1.1
Accept: */*
{
  "events": [
    {
      "id": 1,
      "inserted_at": "2026-05-08T10:00:00Z",
      "status": "completed",
      "type": "import",
      "unit_id": 1,
      "updated_at": "2026-05-08T10:00:00Z"
    }
  ]
}

Last updated